# Bear With Me

By: Dr. Dos
Genre: Action/Adventure/Contest (Oktrollberfest 2021)
Version: 1.00
Date: Oct. 31, 2021 (🎃)

## Description

*Bear With Me* is a ZZT world created for the game jam:
["Oktrollberfest 2021"](https://itch.io/jam/oktrollberfest-2021)

It is inspired by the aesthetics of *City of ZZT* and takes the form of a
classic ZZT purple key hunting adventure. Except you have to escort a bear the
entire time.

If the bear is harmed the game instantly ends. Have fun! Maybe!

It's a good idea for your current save to show up at the top of the list as
you'll likely be reloading. A lot. >:3c

Users can begin the game by running *BEARWME.BAT* for Windows or *BEARWME.sh*
for Linux.

## BWMZZT.EXE

While originally intended to be ZZT v3.2 compatible, I was quite pressed for
time and it was easier to prevent issues via a quick and dirty ZZT fork than
to redesign boards and code to prevent unintended bypassing of the bear-based
gameplay.

Included is *BWMZZT.EXE* which is based on the source code provided by the
[Reconstruction of ZZT](https://github.com/asiekierka/reconstruction-of-zzt).

The only change this makes is the addition of a single ZZT-OOP command:

`#if beared <dir> <label>`

Sorry for users of *SolidHUD* and *ClassicZoo*.

## Included Files

* BEARWME.HI - The already maxed out high score file (to save you keypresses).
* BEARWME.zzt - The ZZT world (NOT 3.2 COMPATIBLE).
* BEARWME.md - This File.
* BWMZZT.EXE - The modified executable.
* BEARWME.BAT - Launcher for Windows users
* BEARWME.sh - Launcher for Linux users
* ZZT.CFG - ZZT config file (3.2 compatible)
* ZZT.DAT - Reconstruction of ZZT data file (3.2 compatible)

### Additional Files

Your distribution may contain a copy of *Zeta beta 35* (or greater) and its
included files depending on where it was acquired.

## Support

Support my creation and experimentation with ZZT:
[Worlds of ZZT Patreon](https://patreon.com/worldsofzzt)

I run the Museum of ZZT to keep an archive of ZZT worlds alive and primarily
write articles discussing the thousands of games which have been made in ZZT
over the past 30 years.

My heart goes out to my supporters on Patreon who allow me to do what I do.

## Worlds of ZZT

Twitter Account + Bot Posted Board Renders - https://twitter.com/worldsofzzt
Discord Server - https://museumofzzt.com/discord
Patreon - https://patreon.com/worldsofzzt
Youtube - https://museumofzzt.com/youtube
Twitch - https://twitch.tv/worldsofzzt
GitHub - https://github.com/DrDos0016/museum-of-zzt

## License

Released under the MIT License:

Copyright (c) 2021 Dr. Dos

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
